Subject: RE: iSCSI 07: Initiator Task Tag

From: [email-masked]
Date: Wed, 15 Aug 2001 20:58:49 -0400

> 1.  Is iSCSI task the same as SCSI task?
> 
> In section 1.1:
> 
> 	"A SCSI task is a SCSI command or possibly a linked set of SCSI
commands."
> 
> 	"An iSCSI task is an iSCSI request for which a response is expected.
> 
> 	In this document "iSCSI request", "iSCSI command", request or
unqualified)
> 	command have the same meaning.  Also, unless specified otherwise,
status,
> 	response or numbered response have the same meaning."
> 
> According to these definitions, they are different.  iSCSI task is an
iSCSI
> command.  If so, then is Initiator Task Tag the same as CmdSN?

The are different.  A SCSI task is as defined in SAM-2, particularly
for task management.  There are iSCSI tasks that are not SCSI tasks.
The Initiator Task Tag is NOT the same as the CmdSN.  The primary purpose
of the former is support of SCSI task management, whereas the latter
is used to order of command delivery to SCSI at the target, control command
flow from the initiator, and control some usage of target resources.

> 2.  In iSCSI version 07:
> 	"2.2.2.8 Initiator Task Tag
> 
>         The initiator assigns a Task Tag to each iSCSI task that it
issues.
>         While a task exists this tag MUST uniquely identify it
session-wide.
> "
> 
> Is this Initiator Task Tag the same as the Task Tags defined in section
> 4.9.2 in SAM-2 (revision 19)?  As quoted from SAM-2: "An initiator assigns
> tag values in each tagged task identifier in a way that ensures that the
> identifier uniqueness requirements stated in 4.9 are met."

They fulfill that function.

> 3.  How does the iSCSI target use the Initiator Task Tag to process the
> commands?

See the iSCSI and SAM-2 discussions of SCSI task management.

--David

---------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 42 South St., Hopkinton, MA  01748
+1 (508) 435-1000 x75140     FAX: +1 (508) 497-8500
[email-masked]       Mobile: +1 (978) 394-7754
---------------------------------------------------